For the complete documentation index, see llms.txt. This page is also available as Markdown.

Search for tenant user

Search for users

Required permissions: TENANT_USER

post
/tenants/{tenantUid}/users/search
Authorizations
AuthorizationstringRequired

Access token recevied after user login with a deviceToken

Path parameters
tenantUidstringRequired

Reference to a tenant.

Pattern: ^[A-Za-z0-9-_]+
Query parameters
pageSizeintegerOptional

The number of items per page in a result set.

pageNumberintegerOptional

Reference to a specific page in a result set.

Body
querystringOptional

Fuzzy search on displayname, firstname, lastname, mobile, email and userCode

userCodestringOptional

Exact match search.

emailstringOptional

Exact match search.

mobilestringOptional

Exact match search.

Responses
200

Example response

application/json
post/tenants/{tenantUid}/users/search
POST /v2/tenants/{tenantUid}/users/search HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 93

{
  "query": "text",
  "userCode": "text",
  "email": "text",
  "mobile": "text",
  "status": [
    "PENDING_INVITE"
  ]
}
200

Example response

{
  "items": [
    {
      "accountType": "FULL",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "defaultStoreUid": "text",
      "displayName": "text",
      "email": "text",
      "externalId": "text",
      "firstname": "text",
      "lastAccessed": "2026-01-01T00:00:00.000Z",
      "lastModifiedAt": "2026-01-01T00:00:00.000Z",
      "lastname": "text",
      "mobile": "text",
      "status": "PENDING_INVITE",
      "storeAccess": [
        {
          "createdAt": "2026-01-01T00:00:00.000Z",
          "lastModifiedAt": "2026-01-01T00:00:00.000Z",
          "storeAccessUid": "text",
          "storeUid": "text",
          "storeRole": "ADMIN"
        }
      ],
      "tenantUid": "text",
      "tenantName": "text",
      "tenantRole": "ACCESS",
      "tenantUserUid": "text",
      "userCode": "text",
      "languageCode": "text",
      "permissions": {
        "tenant": [
          "text"
        ],
        "stores": [
          {
            "store": {
              "name": "text",
              "storeUid": "text",
              "organizationUid": "text",
              "organizationName": "text"
            },
            "permissions": [
              "text"
            ]
          }
        ],
        "organizations": [
          {
            "organization": {
              "name": "text",
              "organizationUid": "text"
            },
            "permissions": [
              "text"
            ]
          }
        ]
      }
    }
  ],
  "paging": {
    "pageNumber": 1,
    "pageSize": 1,
    "totalCount": 1
  }
}

Last updated

Was this helpful?